Subject: bug#1806: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Wed, 26 Sep 2012 13:10:00 +0300

> How would we handle the case where `window--try-to-split-window' fails
> for the selected window and some other window (like the frame's bottom
> window) gets split?

This case is exceptional, but maybe handling of the `fit-window-to-buffer'
specifier could be added to some other actions where it makes sense?

>> (setq display-buffer-alist '(("Marked Files" .
>>                               (display-buffer-below-selected
>>                                (fit-window-to-buffer . nil)))))
>
> And how would they handle the frame bottom window case sketched above?

With (setq display-buffer-alist
           '(("Marked Files" . (nil (fit-window-to-buffer . nil)))))